FROM nginx:alpine

COPY ./nginx.conf /etc/nginx/nginx.conf.example
COPY ./fastcgi_params /etc/nginx/fastcgi_params

CMD ["/bin/sh" , "-c" , "envsubst '$NGINX_APP_PATH $NGINX_PHP_HOST $NGINX_PHP_PORT' < /etc/nginx/nginx.conf.example > /etc/nginx/nginx.conf && exec nginx -g 'daemon off;'"]